Comment on FStream

Version 1.4.4 doesn't open in 10.4.11 - is it no longer compatible for OS previous to Leopard? Tried both DL versions direct from the Developer's site too. Shame, was a great little app.